Package org.apache.avro.mapreduce

# Interface Syncable

All Known Implementing Classes:
  `AvroKeyRecordWriter`, `AvroKeyValueRecordWriter`

public interface Syncable

## Method Summary

Modifier and Type
Method
Description
`long`
`sync()`
Return the current position as a value that may be passed to DataFileReader.seek(long).

## Method Details

### sync

long sync() throws IOException
Return the current position as a value that may be passed to DataFileReader.seek(long). Forces the end of the current block, emitting a synchronization marker.

Throws:
  `IOException` - - if an error occurred while attempting to sync.